import SignUpForm from "@/components/auth/signup-form";
import type { ApiResponse, Atoll, Island } from "@/lib/backend-types";
import { getAtolls } from "@/queries/islands";
import Image from "next/image";
import { redirect } from "next/navigation";

export default async function SignupPage({
	searchParams,
}: {
	searchParams: Promise<{ phone_number: string }>;
}) {

	const phone_number = (await searchParams).phone_number;
	console.log({ phone_number })
	if (!phone_number) {
		return redirect("/auth/login");
	}


	return (
		<div className="dark:bg-black w-full h-screen flex items-center justify-center font-sans">
			<div className="flex flex-col items-center justify-center w-full h-full ">
				<Image priority alt="Sar Link Logo" src="/logo.png" width={100} height={100} style={{ width: "auto", height: "auto" }} />
				<div className="mt-4 flex flex-col items-center justify-center">
					<h4 className="font-bold text-xl text-gray-600">SAR Link Portal</h4>
					<p className="text-gray-500">
						Pay for your devices and track your bills.
					</p>
				</div>
				<SignUpForm />
			</div>
		</div>
	);
}
