import { DevicesTable } from "@/components/devices-table";
import Search from "@/components/search";
import { Suspense } from "react";

export default async function ParentalControl({
  searchParams,
}: {
  searchParams: Promise<{
    query: string;
    page: number;
    sortBy: string;
    status: string;
  }>;
}) {
  const query = (await searchParams)?.query || "";
  return (
    <div>
      <div className="flex justify-between items-center border-[1px] rounded-md border-dashed font-bold title-bg py-4 px-2 mb-4">
        <h3 className="text-sarLinkOrange text-2xl">Parental Control</h3>
      </div>

      <div
        id="user-filters"
        className=" pb-4 gap-4 flex sm:flex-row flex-col items-start justify-start"
      >
        <Search />
      </div>
      <Suspense key={query} fallback={"loading...."}>
        <DevicesTable
          parentalControl={true}
          searchParams={searchParams}
        />
      </Suspense>
    </div>
  );
}
