import { PaymentsTable } from "@/components/payments-table";
import Search from "@/components/search";
import { Suspense } from "react";

export default async function Devices({
	searchParams,
}: {
	searchParams: Promise<{
		query: string;
		page: number;
		sortBy: string;
		status: string;
	}>;
}) {
	const query = (await searchParams)?.query || "";
	return (
		<div>
			<div className="flex justify-between items-center border-[1px] rounded-md border-dashed font-bold title-bg py-4 px-2 mb-4">
				<h3 className="text-sarLinkOrange text-2xl">My Payments</h3>
			</div>

			<div
				id="user-filters"
				className=" pb-4 gap-4 flex sm:flex-row flex-col items-start justify-start"
			>
				<Search />
			</div>
			<Suspense key={query} fallback={"loading...."}>
				<PaymentsTable searchParams={searchParams} />
			</Suspense>
		</div>
	);
}
